const requestify = require('requestify');
const config = require('../config');
const get = require('lodash').get;

const list = () => {
    const url = `http://${config.host}/contractor/list`;

    return requestify.get(url).then(response => {
        if (response.code !== 200) {
            return Promise.reject(response);
        }

        const body = response.getBody();
        return get(body, 'data.records', []);
    });
};

module.exports = {
    list
};

