const requestify = require('requestify');
const config = require('../config');
const get = require('lodash').get;

const save = (contractorId, log) => {
    const url = `http://${config.host}/logs/`;
    const options = {
        method: 'POST',
        body: log,
        headers: {
            'x-contractor-id': contractorId
        }
    };

    return requestify.request(url, options)
        .then(response => {
            if (response.code !== 200) {
                return Promise.reject(response);
            }

            const body = response.getBody();
            return get(body, 'data', {});
        });
};

module.exports = {
    save
};
